[users] Latest Centos 7 update failure

Nicolas Thierry-Mieg Nicolas.Thierry-Mieg at imag.fr
Tue Dec 15 14:04:49 CET 2015


On 12/14/2015 07:42 PM, Andy Coleman wrote:
> Hi
>
> Please go gently - I'm in new terrritory !
>
> There's a large Centos 7 update.
>
> 4 files  of which are gstreamer1-various which I added via rpmforge
>
> This fails with the following...
>
> Transaction check error:   file /usr/lib64/gstreamer-1.0/libgstdtmf.so
> from install of gstreamer1-plugins-good-1.4.5-2.el7.x86_64 conflicts
> with file from package gstreamer1-plugins-bad-free-1.0.7-4.el7.x86_64
>
> whether you use  the Centos update option or...
>
> yum --enablerepo=rpmforge install gstreamer1-plugins-good
>
> via a terminal.
>
> Is this a packaging error or something I can correct ?

Hi,

gstreamer1-plugins-bad-free is available in Centos 7, version is 1.4.5-3 
and doesn't conflict with gstreamer1-plugins-good-1.4.5-2.el7.x86_64 
(which is also from C7 base). Are you using yum-plugin-priorities and is 
is set up correctly?

Furthermore repoforge isn't actively maintained AFAIK, I recommend 
removing any rf packages on your machine and replacing them with 
packages from base + elrepo + epel + nux-dextop repos.
See https://wiki.centos.org/AdditionalResources/Repositories

HTH


More information about the users mailing list